# Class HardyWeinbergCalculation

java.lang.Object
htsjdk.tribble.util.popgen.HardyWeinbergCalculation

public final class HardyWeinbergCalculation extends Object
This class calculates a HardyWeinberg p-value given three values representing the observed frequences of homozygous and heterozygous genotypes in the test population.

## Method Summary

Modifier and Type
Method
Description
`static double`
`hwCalculate(int obsAA, int obsAB, int obsBB)`
Calculates exact two-sided hardy-weinberg p-value.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### hwCalculate

public static double hwCalculate(int obsAA, int obsAB, int obsBB)
Calculates exact two-sided hardy-weinberg p-value. Parameters are number of genotypes, number of rare alleles observed and number of heterozygotes observed. (c) 2003 Jan Wigginton, Goncalo Abecasis (goncalo@umich.edu)